Subject: Re: [RFC 0/7] transitioning to protocol v2

From: Junio C Hamano <[email-masked]>
Date: Fri, 25 Aug 2017 10:14:13 -0700

Stefan Beller <[email-masked]> writes:

> For now I would suggest we put a protocol v2 in place that is
> the current protocol + a version number coming through the
> poked hole at the beginning; the goal and review of this series
> ought to focus on getting the version handshake right...

Oh, we are in absolute agreement on that.  It would be nice if we
can have new tests to demonostrate three combinations working well
(i.e. use 'installed git' whose path is given externally on one end
of the connection, while the just-built binary sits on the other
end, in addition to making sure just-built binary successfully talks
with itself).